These are chat archives for allegro/ralph

26th
Nov 2018
tretos53
@tretos53
Nov 26 2018 10:10
@vi4m When I go to Dashboards / Graphs and I click on a Graph I created earlier I get YSOD. I dont remember what that graph does as I can't see the source of it and I can't remove it. Two other graphs works fine. I get below error:
KeyError at /dashboards/graph/2/

'series'

Request Method:     GET
Request URL:     http://REMOVED:8000/dashboards/graph/2/
Django Version:     1.8.19
Exception Type:     KeyError
Exception Value:     

'series'

Exception Location:     /opt/ralph/ralph-core/lib/python3.4/site-packages/ralph/dashboards/renderers.py in get_options, line 186
Python Executable:     /opt/ralph/ralph-core/bin/python
Python Version:     3.4.3
Python Path:     

['/opt/ralph/ralph-core/bin',
 '/opt/ralph/ralph-core/lib/python3.4',
 '/opt/ralph/ralph-core/lib/python3.4/plat-x86_64-linux-gnu',
 '/opt/ralph/ralph-core/lib/python3.4/lib-dynload',
 '/usr/lib/python3.4',
 '/usr/lib/python3.4/plat-x86_64-linux-gnu',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages/odf',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages/odf',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages/odf',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages/odf',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages/odf',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages/odf',
 '/opt/ralph/ralph-core/lib/python3.4/site-packages/odf']

Server time:     Mon, 26 Nov 2018 11:09:46 +0100
There is more
✪ vi4m Marcin Kliks
@vi4m
Nov 26 2018 10:16
we've fixed it here: allegro/ralph#3345
tretos53
@tretos53
Nov 26 2018 10:19
so I just need to upgrade Ralph
tretos53
@tretos53
Nov 26 2018 11:23
Was there any other changes to Ralph? It fails to update with below error:
sudo apt-get install ralph-core
Reading package lists... Done
Building dependency tree
Reading state information... Done
ralph-core is already the newest version.
0 to upgrade, 0 to newly install, 0 to remove and 1 not to upgrade.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up ralph-core (3.0.0-snapshot-20181116-8965) ...
Traceback (most recent call last):
  File "/opt/ralph/ralph-core/lib/python3.4/site-packages/django/db/backends/base/base.py", line 130, in ensure_connection
    self.connect()
  File "/opt/ralph/ralph-core/lib/python3.4/site-packages/transaction_hooks/mixin.py", line 75, in connect
    super(TransactionHooksDatabaseWrapperMixin, self).connect(*a, **kw)
  File "/opt/ralph/ralph-core/lib/python3.4/site-packages/django/db/backends/base/base.py", line 119, in connect
    self.connection = self.get_new_connection(conn_params)
  File "/opt/ralph/ralph-core/lib/python3.4/site-packages/django/db/backends/mysql/base.py", line 276, in get_new_connection
    conn = Database.connect(**conn_params)
  File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/__init__.py", line 85, in Connect
    return Connection(*args, **kwargs)
  File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/connections.py", line 204, in __init__
    super(Connection, self).__init__(*args, **kwargs2)
_mysql_exceptions.OperationalError: (1045, "Access denied for user 'ralph_ng'@'localhost' (using password: YES)")

The above exception was the direct cause of the following exception:

[A lot more details here...]

django.db.utils.OperationalError: (1045, "Access denied for user 'ralph_ng'@'localhost' (using password: YES)")
dpkg: error processing package ralph-core (--configure):
 subprocess installed post-installation script returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)